#include <iostream>
#include <math.h>
using namespace std;

int count(bool* c, int* A, int N, int col){
	int counter=0;
	for(int i=0; i<N; i++){
		if(!c[i]&&col<=A[i]) counter++;
		else if(c[i]&&col>A[i]) counter++;
	}
	return counter;
}
int countAll(bool* c, int M, int* A, int N){
	int counted=0, tmp=0;
	
	for(int i=1; i<=M; i++){
		tmp=count(c, A, N, i);
		tmp=tmp*(N-tmp);
		counted+=tmp;
	}
	return counted;
}

int main()	{
	int N, M, A[100], min, tmp;
	bool config[100];
	
	cin>>N>>M;
	
	for(int i=0; i<N; i++)
		cin>>A[i];
	for(int i=0; i<N; i++)
		config[i]=0;
	min=countAll(config, M, A, N);
	
	for(int i=0; i<pow(2,N); i++){
		for(int x=0; x<N; x++){
			if(config[x]) config[x]=0;
			else {
				config[x]=1;
				break;
			}
		}
		
		tmp=countAll(config, M, A, N);
		if(tmp<min) min=tmp;
	}
	
	cout<<min;
		
	
	return 0;
}